Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class ActiveGraphImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.analysis.ActiveGraphImpl

public class ActiveGraphImpl
extends BaseImpl
implements MessageProbe, MessageProbeS, ActiveGraphS, ActiveGraph

Provides a continuous data feed between Swarm and the GUI.. An active graph object is the glue between a MessageProbe (for reading data) and a Graph GraphElement. ActiveGraphs are created and told where to get data from and send it to, and then are scheduled to actually do graphic functions. This class is used by EZGraph, and we expect to see less direct usage of it by end-users as more analysis tools (such as EZGraph) internalize its functionality.

Constructor Summary
`ActiveGraphImpl()`
`ActiveGraphImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`ActiveGraphImpl(Zone aZone, Selector aSel)` Convenience factory method for common case.

Methods implemented by this class for interface swarm.objectbase.MessageProbe
`doubleDynamicCallOn, getArgCount, getArgName, getHideResult, getProbedMessage, isArgumentId, isResultId, longDynamicCallOn, objectDynamicCallOn, setArg$ToString, setArg$ToUnsigned, stringDynamicCallOn`

Methods implemented by this class for interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods implemented by this class for interface swarm.analysis.ActiveGraph
`getCurrentValue, step`

Methods implemented by this class for interface swarm.objectbase.Probe
`clone, getProbedClass, getProbedType`

Methods implemented by this class for interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveGraphImpl

    public ActiveGraphImpl()

### ActiveGraphImpl

    public ActiveGraphImpl(Zone aZone,
                           Selector aSel)

  Convenience factory method for common case.

### ActiveGraphImpl

    public ActiveGraphImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD